Warning!

Notice: the grml team is migrating from Mercurial to Git.
Please visit git.grml.org instead!

Merged
authorMichael Prokop <mika@grml.org>
Sun Nov 25 19:56:34 2007 +0100 (12 months ago)
changeset 804565ea093bf7
manifest4565ea093bf7
parent 79d8d6bdf6d2f7
parent 78418eb13b36bc
child 82fdd8e8f76532
child 83b893a379d527
Merged
scripts/build-kernel.sh
scripts/build-modules.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/build-kernel.sh Sun Nov 25 19:56:34 2007 +0100
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Filename: build-kernel.sh
+# Purpose: very hackish build script to build a Debian package of a kernel
+# Authors: grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
+# Bug-Reports: see http://grml.org/bugs/
+# License: This file is licensed under the GPL v2 or any later version.
+# Latest change: Son Nov 25 19:34:51 CET 2007 [mika]
+################################################################################
+
+if [ -z "$REVISION" ] ;
+ REVISION="grml.01"
+fi
+
+# TODO: patch the kernel accordingly; currently I'm doing something like
+# for p in ~/grml/hg/grml-kernel/2.6.23/[0-9]* ; patch -p1 < $p || echo $p >> /tmp/error
+# for p in ~/grml/hg/grml-kernel/2.6.23/x86/[0-9]* ; patch -p1 < $p || echo $p >> /tmp/error
+
+# make sure we have a clean tree:
+make-kpkg clean
+
+make-kpkg --revision "$REVISION" --us --uc --rootcmd fakeroot \
+kernel-image kernel-headers kernel-doc kernel-source
+
+## END OF FILE #################################################################
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/build-modules.sh Sun Nov 25 19:56:34 2007 +0100
@@ -0,0 +1,75 @@
+#!/bin/sh
+# Filename: build-modules.sh
+# Purpose: hackish style to build external kernel modules for grml kernel
+# Authors: grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
+# Bug-Reports: see http://grml.org/bugs/
+# License: This file is licensed under the GPL v2 or any later version.
+# Latest change: Son Nov 25 19:31:12 CET 2007 [mika]
+################################################################################
+
+if [ "$(id -u)" != 0 ] ;then
+ echo "Sorry, need root permission. Exiting"
+ exit 1
+fi
+
+echo "--------------------------------------------------------------------------"
+echo "Notice: set \$MA_OPTIONS for specifying build options to m-a."
+echo " set \$KERNELDIRS for specifying location of kernel headers"
+echo " set \$KERNELVERSION for specifying kernel version"
+echo " set \$BUILD_PACKAGES for specifying packages to be build"
+echo " set \$SOURCE_PACKAGES for specifying source packages"
+
+if [ -z "$KERNELVERSION" ] ; then
+ KERNELVERSION="$(uname -r)"
+ echo "No \$KERNELVERSION given, assuming $KERNELVERSION"
+fi
+
+if [ -z "$KERNELDIRS" ] ; then
+ KERNELDIRS=/usr/src/linux-headers-"$KERNELVERSION"
+ echo "No \$KERNELDIRS given, assuming $KERNELDIRS"
+fi
+
+if ! [ -r "$KERNELDIRS/Makefile" ] ; then
+ echo "Fatal: could not find kernel headers"
+ exit 10
+fi
+
+if [ -z "$BUILD_PACKAGES" ] ; then
+ BUILD_PACKAGES=packages
+fi
+
+if [ -z "$SOURCE_PACKAGES" ] ; then
+ SOURCE_PACKAGES=source_packages
+fi
+
+if ! [ -r "$BUILD_PACKAGES" ] ; then
+ echo 'Fatal: could not read $BUILD_PACKAGES'>&2
+ exit 20
+fi
+
+if ! [ -r "$SOURCE_PACKAGES" ] ; then
+ echo 'Fatal: could not read $SOURCE_PACKAGES'>&2
+ exit 30
+fi
+
+echo "Checking for present source packages as defined in ${SOURCE_PACKAGES}..."
+for package in $(cat "$SOURCE_PACKAGES") ; do
+ dpkg --list $package 1>/dev/null 2>&1 || echo "Warning: no source package for $package present"
+done
+
+for package in $(cat "$BUILD_PACKAGES") ; do
+ KERNELDIRS=$KERNELDIRS m-a $MA_OPTIONS -k $KERNELVERSION build $package || FAILED="$FAILED $package"
+done
+
+echo "--------------------------------------------------------------------------"
+echo "The following packages failed to build:"
+echo "$FAILED"
+echo "--------------------------------------------------------------------------"
+
+echo "--------------------------------------------------------------------------"
+echo "Information:"
+echo "Source packages for grml-kerneladdons and truecrypt are not available yet."
+echo "So do not forget to build them manually. :)"
+echo "--------------------------------------------------------------------------"
+
+## END OF FILE #################################################################
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/packages Sun Nov 25 19:56:34 2007 +0100
@@ -0,0 +1,30 @@
+acx100
+aufs
+bcm5700
+drbd8
+exmap
+fglrx
+gspca
+ipw3945
+iscsitarget
+ivtv
+kqemu
+kvm
+linux-wlan-ng
+loop-aes
+madwifi
+ndiswrapper
+nozomi
+nvidia
+openafs
+qc-usb
+realtime-lsm
+rt2400
+rt2500
+rt73
+sl-modem
+squashfs
+sysprof
+tp-smapi
+virtualbox-ose
+zaptel
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/source_packages Sun Nov 25 19:56:34 2007 +0100
@@ -0,0 +1,30 @@
+acx100-source
+aufs-source
+bcm5700-source
+drbd8-source
+exmap-modules-source
+fglrx-kernel-src
+gspca-source
+ipw3945-source
+iscsitarget-source
+ivtv-source
+kqemu-source
+kvm-source
+linux-wlan-ng-source
+loop-aes-source
+madwifi-source
+ndiswrapper-source
+nozomi-source
+nvidia-kernel-source
+openafs-modules-source
+qc-usb-source
+realtime-lsm-source
+rt2400-source
+rt2500-source
+rt73-source
+sl-modem-source
+squashfs-source
+sysprof-module-source
+tp-smapi-source
+virtualbox-ose-source
+zaptel-source